## 👷‍ Development
**Prerequisite**: Ensure that your source does not have the Visual Tagger integration enabled.

Develop against a staging or production source with a local version of the integration.

1. Configure your source details in the `.env` file or you can use the default that points to [this source](https://app.segment.com/segment-vt-dev/sources/vt-dev/overview).
```
WRITE_KEY=wUF38j8eeRoBPQKSXh1z0bmBmqUVQRPr
SOURCE_ID=VJo6q2z1vq
WORKSPACE_ID=R6gf1uLnVL
```

2. Start the local server.
```
yarn start
```

3. **Optional**: If you have not enabled Visual Tagger for a staging or production workspace, within Slack run:
```
/flagon-stage add -f growth -n visual-tagger ${workspaceId}
/flagon-prod add -f growth -n visual-tagger ${workspaceId}
```

4. Navigate to the Visual Tagger tab within the `app` source.

## 📝 Tests
```
yarn test
```

## 🚀 Release
Release a new version of the Visual Tagger integration.

1. Update the integration's [npm](https://www.npmjs.com/package/@segment/analytics.js-integration-visual-tagger) version.
```
yarn release
```

2. See [Releasing Analytics.js](https://paper.dropbox.com/doc/Releasing-Analytics.js--Al_52P59UcNiJvaa2CIw5KpYAg-QYiKKIDvhsZk2c0bOTEhp) for releasing to staging and tiered rollouts to production.

## 🖥️ Monitoring
TODO.

## 🚨 Alerts
TODO.
