const integration = require('@segment/analytics.js-integration')
import TracktorLib from '../../tracktor'

declare global {
  interface Window {
    Tracktor: typeof TracktorLib
  }
}

// /**
//  * Expose `Visual Tagger` integration.
//  */

const VisualTagger = integration('Visual Tagger')
  .global('Tracktor')
  .option('workspaceId', '')
  .option('sourceId', '')

/**
 * Initialize.
 *
 * @api public
 */

VisualTagger.prototype.initialize = function() {
  var tracktor = new TracktorLib(
    this.options.workspaceId,
    this.options.sourceId,
    window.document
  )

  window.Tracktor = TracktorLib

  tracktor.start()
}

/**
 * Loaded?
 *
 * @api private
 * @return {boolean}
 */

VisualTagger.prototype.loaded = function() {
  return window.Tracktor.instance.isInitialized()
}

export default VisualTagger
