/**
 * Module dependencies.
 */
import integration from '@segment/analytics.js-integration'
import TracktorLib from './tracktor'


/**
 * Expose `Visual Tagger` integration.
 */

const Tracktor = integration('Visual Tagger')
  .global('Tracktor')
  .option('workspaceId', '')
  .option('sourceId', '')

/**
 * Initialize.
 *
 * @api public
 */

Tracktor.prototype.initialize = function() {
  var tracktor = new TracktorLib(
    this.options.workspaceId,
    this.options.sourceId,
    window.document
  );
  window.Tracktor = TracktorLib;

  tracktor.start();
};

/**
 * Loaded?
 *
 * @api private
 * @return {boolean}
 */

Tracktor.prototype.loaded = function() {
  return window.Tracktor.instance.isInitialized();
};


export default Tracktor
