export type SupportedDomEvents =
  | 'click'
  | 'focus'
  | 'blur'
  | 'scroll'
  | 'mouseover'
  | 'submit'

type Framework = 'dom' | 'react'
type TaggingMethod = 'form' | 'event'
type FormAction = 'track' | 'identify'

interface ITrackTagBinding {
  selector: string
  field: string
}

interface IIdentifyTagBinding extends ITrackTagBinding {
  userIdentifier: boolean
}

type ITagBinding = IIdentifyTagBinding | ITrackTagBinding

interface ICommonTagFields {
  url: string
  selector: string
  framework: Framework
  handler: SupportedDomEvents
  taggingMethod: TaggingMethod
}

export interface IEventTag extends ICommonTagFields {
  event: string
}

export interface IFormTag extends ICommonTagFields {
  formAction: FormAction
  bindings: ITagBinding[]
}

export interface ITrackFormTag extends IFormTag {
  event: string
}

export type ITag = IEventTag | IFormTag | ITrackFormTag
